Subject: RE: Win 95 console business
From: [email-masked] (Ernest Clayton Cordell, Jr.)

7 Nov 1997 08:50:23 -0800
Message-ID: <[email-masked]>
To: Peter Boncz <[email-masked]>,
        "[email-masked]"
	 <[email-masked]>,
        "'Larry Hall'" <[email-masked]>

Folks,
	Something positive for a change:  I have found the cygwin32 g++ to be very 
robust, especially considering that it is still in beta; Many applications 
port directly between highly disparate platforms, which was in the stated 
objectives for the first compilers developed, and the reason that, not too 
many years ago we opted for that approach rather than "universal machine 
architecture."
	I can't speak for/against VC++ because I don't use it: But I will say that 
I have found the cygnus product set competitive with other commercial 
software development packages.
	Short and sweet?
Ernie
----------
From: 	Larry Hall
Sent: 	Thursday, November 06, 1997 11:03 AM
To: 	Peter Boncz; [email-masked]
Subject: 	Re: Win 95 console business

At 01:43 PM 11/6/97 +0100, Peter Boncz wrote:
>Hi there:
>
>Let me declare that I am totally uninterested i M$ bashing or holy wars,
>but skimming over this message I saw the following remark:
>
>> And have you ever used VC++? It compiles faster and makes better code 
than
>> gcc does (last time I looked) and it has a far nicer environment.
>
>My question to the net community: is this true, and how much is the
>difference?? Has anyone compared the two on NT or even Win95?
>
>I know that the cygwin library adds overhead on top of WIN32 calls,
>but apart from that, if you just look at a program spending CPU time
>on reading/writing memory arrays and the like (i.e. little OS calls),
>what kind of performance difference typically comes out of
>the same program being compiled with gcc -O3 and optimizing VC++?
>
>I mean, I always thought that gcc -O3 was pretty competitive, at
>least that is my experience with gcc on solaris in comparison
>with the sun cc/CC.
>

I've no experience with this myself but if I remember some other people's
similar pursuits from the past correctly, differences where mostly of the
type that could be shifted one way or the other by setting a few more flags 
or altering values of existing flags.  I came away with the impression that 
gcc/g++ was competitive with VC++, each with slight advantages in different
areas.  Someone else may have specifics that prove this not to be the case
though....

Larry Hall                              [email-masked]
RFK Partners, Inc.                      (781) 239-1053
8 Grove Street                          (781) 239-1655 - FAX
Wellesley, MA  02181

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".